fs getcacheparms           AFS Commands        fs getcacheparms


NAME

   fs  getcacheparms -- show  current  size  of data cache and

                       amount being used.


   fs getcacheparms  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   fs getca  [-h]

DESCRIPTION

   Displays the current  size  of  the  cache  that  the  Cache
   Manager  has  at its disposal, and the amount it is using at
   the moment the command is issued.  The command works both on
   machines  using  a memory cache and on machines using a disk
   cache.

   This information comes from the kernel of the workstation on
   which  the  command  is  issued.    On machines using a disk
   cache, the current cache size may disagree with the  default
   setting  specified  in  the file /usr/vice/etc/cacheinfo, if
   someone has set it with the fs setcachesize command.

ARGUMENTS

   -help           prints  the  online  help  entry  for   this
                   command.  Do not provide any other arguments
                   or flags with this one.  See section 3.1  in
                   the Reference Manual for more details.

OUTPUT

   The output is of the form

       AFS using <amount> of the cache's available <size> 1
          blocks.

   where  <amount>  is  the  number of 1K byte blocks the Cache
   Manager is currently using, and <size> the total  number  of
   blocks  available  to  the  Cache Manager (the current cache
   size).

EXAMPLES

   The following shows the output on a  machine  with  a  25000
   kilobyte cache.

       % fs getca
       AFS using 22876 of the cache's available 25000 1K by
          blocks.



PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   fs setcachesize
